<?php if(!defined('PLX_ROOT')) exit; ?>

<p class="in-action-bar page-title">Aide du plugin plxGoaccess</p>
<h1><span>Sommaire</span></h1>
<ul>
 <li>
<p><span><a href="#2.Installation">Installation</a></span></p>
</li>
 <li>
<p><span><a href="#3.Configuration">Configuration</a></span></p>
</li>
 <li>
<p><span><a href="#4.utilisation">Lancement</a></span></p>
</li>
</ul>
Ce plugin vise à utiliser Goaccess sur les logs de l'hébergeur<br /><br />
Ce plugin a été testé sur <br />
- windows 10 et unix raspbian-buster :  pluxml 5.8.14 et 5.9.0, Apache24,  PHP 8.3, wsl(pour windows : , goaccess installé sur microsoft unix debian)<br />
<br />Pre-requis pour windows : <br />
- avoir activer WSL pour windows (permet de faire fonctionner des distributions Unix sous windows)==> cf google pour les modop <br />
- avoir télécharger à partir de microsoft store une distribution UNIX (par exemple DEBIAN)<br />
Configuration sur plateforme Windows :
- lancer Apache en mode NON Service windows en executant la commande "httpd.exe" dans un terminal en mode admin
- activer WSL pour windows (permet de faire fonctionner des distributions Unix sous windows)==> cf google pour les modop
- télécharger à partir de microsoft store une distribution UNIX (par exemple DEBIAN)
- tester pour terminer : ouvrer l'invite de commande et taper "wsl ls -l" pour vérifier que wsl et la distribution unix sont OK
<br />
<br />
Sur plateforme Windows et UNIX :
installer GoAccess dans unix (wsl debian si windows) ==> cf google pour les modop<br />
eventuellement :<br />
<i>
sudo apt-get install wget<br />
sudo apt install libncursesw5-dev libgeoip-dev libtokyocabinet-dev build-essential<br />
sudo apt-get install gcc autoconf gettext autopoint<br />
sudo apt-get install -y libmaxminddb-dev<br />
</i>
puis :<br />
<i>
wget https://tar.goaccess.io/goaccess-1.9.1.tar.gz<br />
tar -xzvf goaccess-1.9.1.tar.gz<br />
cd goaccess-1.9.1/
./configure --enable-utf8 --enable-geoip=mmdb<br />
make<br />
sudo make install<br />
</i>
Le binaire goaccess généré doit se trouver dans /usr/local/bin/<br />

<br />Comptes nécessaires  : <br />
- Avoir un compte pour acceder aux logs de votre hébergeur : n'utilisez pas votre compte client, ouvrez un compte spécial log<br />
- Avoir un compte pour récuperer une base mmdb de maxmind pour la géolocalisation (https://www.maxmind.com/en/accounts/324489/geoip/downloads) :  une base mmdb city ou country. <br />
elle est à mettre dans le dossier plugin/plxGeoaccess/mmdb ou bien là où vous allez configurer ensuite<br />
<br />Installer le plugin<br />
Activer le plugin : l'activation créé une config par défaut que vous pouvez modifié ensuite</b>.

<h1><a name="3.Configuration"></a><span>Configuration</span></h1>
Dans cette page vous pourrez configurer :
<ul>
 <li>le nom du binaire goaccces avec son chemin absolu (préco :/usr/local/bin/goacces</li>
 <li>le nom de la base mmdb et son path dans le site (préco :plugin/plxGoaccess/mmdb/GeoLite2-Country.mmdb</li>
 <li>le nom du dossier de stockage des données calculées et du rapport (préco :data/goaccess/datas</li>
 <li>Le format de l"url de la log apache chez l"hébergeur  (préco pour OVH <br />
 https://login_access_log:passwd_access_log@logs.cluster023.hosting.ovh.net/nom_de_votre_hebergement/logs/logs-%m%-%Y%/loriginal-location.fr-%d%-%m%-%Y%.log.gz</li>
 <li>Liste des IP à exclure (préco : au moins la vôtre) <br />
 <li>Choix du mode bots : stats sans bots, sans uniquement pour les bots ou tout <br />
 <li>Choix des requêtes sélectionnées  : toutes les requêtes ou uniquement celles concernant les pages du site (telles que reconnues dans sitemap.php) <br />
</ul>

<h1><a name="4.utilisation"></a><span>Lancement</span></h1>
A partir du menu : lancer l'item "statistique site' <br />
Sélectionner la 1ere et la dernière date de votre plage à analyser puis cliquez sur "enregistrez <br />
Patientez jusqu'au message "Rapport calculé" : le temps d'attente est fonction du nb de dates sélectionnées<br />
et enfin cliquez sur "Affichez" pour voir le rapport Goaccess<br />
<br />Quelques remarques :<br />
- les stats sont lancées en mode anonymize-ip; 
<br />Si vous souhaitez voir la localisation ville,  remplacer dans la configuration la base de données GeoLite2-Country.mmdb par GeoLite2-City.mmdb (que vous aurez téléchargée)<br />
- les lignes de logs extraites sont stockées localement dans la répertoire de data configuré<br />
- assurez-vous que la log de la date sélectionnée est bien encore hébergée (ex : un an pour OVH).<br />
- un usage interessant : lancer, par exemple sur un mois, les stats en configurant "crawlers-only" et "only Site Pages"; permet de voir si les principaux bots scannent bien votre site
