<?php 
extract ($_POST, EXTR_SKIP);
$list_date = str_replace(" ", "", $_POST["planning"]);

$arraydates = array();
if ($list_date != "") {$arraydates = explode(",", $list_date);} // array des dates selectionnées
$mindate = "2025-01-01";
$maxdate = "2000-01-01";
$today = date('Y-m-d');
$firstdate = date("Y-m-d", strtotime("-24 months"));
$lastdate = $today; 
$jsArray = array(); 	
foreach ($arraydates as $date) {
	$date = DateTime::createFromFormat('m-d-Y', $date);
	$date = $date->format('Y-m-d');
	if ($date <= $mindate) {$mindate = $date;};
	if ($date >= $maxdate) {$maxdate = $date;};   
}
if ($mindate < $firstdate) {
	 $jsArray[] = array('planning', ["faulty", "La 1ere date ne peut être antérieure à date du jour - 12 mois"]);
}
else {
	if ($maxdate >= $lastdate) {
		$jsArray[] = array('planning', ["faulty", "La dernière date doit être antérieure à la date du jour"]);
	}
	else {
		$jsArray[] = array('planning', ["faulty", "none"]);
	}
}
$arrayrange = implode(",", createDateRangeArray($mindate, $maxdate));
$jsArray[] = array('planning', $arrayrange);
$jsArray[] = array("label[for='planning']", ["display", "reloaddatepicker"]);
$jsArray[] = array('status', "calcul fait"); 
echo json_encode($jsArray);
exit;
function createDateRangeArray($strDateFrom,$strDateTo)
{
    // takes two dates formatted as YYYY-MM-DD and creates an
    // inclusive array of the dates between the from and to dates.

    // could test validity of dates here but I'm already doing
    // that in the main script

    $aryRange = [];

    $iDateFrom = mktime(1, 0, 0, substr($strDateFrom, 5, 2), substr($strDateFrom, 8, 2), substr($strDateFrom, 0, 4));
    $iDateTo = mktime(1, 0, 0, substr($strDateTo, 5, 2), substr($strDateTo, 8, 2), substr($strDateTo, 0, 4));

    if ($iDateTo >= $iDateFrom) {
        array_push($aryRange, date('m-d-Y', $iDateFrom)); // first entry
        while ($iDateFrom<$iDateTo) {
            $iDateFrom += 86400; // add 24 hours
            array_push($aryRange, date('m-d-Y', $iDateFrom));
        }
    }
    return $aryRange;
}
?>