<?php
    header('Content-Type: application/json');
	const PLX_ROOT = '../../../';
    $aResult = array();
    if( !isset($_POST['regex_url']) ) { $aResult['error'] = 'No regex_url!'; };

    if( !isset($_POST['log_line_test']) ) { $aResult['error'] = 'No log_line_test!'; }
    if( !isset($_POST['data_dir']) ) { $aResult['error'] = 'No data dir!'; }

    if( !isset($aResult['error'])) {
		
		$log_lines = PLX_ROOT.$_POST['data_dir']. "/test.log"; // le fichier qui va recueillir un exemple de ligne de log
		if (file_exists ($log_lines)) unlink ($log_lines);
		$handle_log_lines = fopen ($log_lines, 'x');
		try{
			if ((fwrite($handle_log_lines, $_POST['log_line_test'])) === false){
				throw new Exception('failed : log line error file');
			}else{
			}
		}catch(Exception $e){
			$aResult['error'] = $e->getMessage();
			echo json_encode($aResult);
			exit;
		}
		// calcul du rapport
		// execution de goaccess sous linux ou windows 
		// la log analysée doit avoir été ramené localement (execution de :  Goaccess.php)
		// l'execution sous windows nécessite d'activer wsl dans windows10 
		// + installer debian à partir du microsoft store  
		// + installer et compiler goacces dans debian avec  l'option --enable-geoip=mmdb
		// + configurer le service apache windows pour le connecter à un compte avec droits admin
		// + et vérifier que ce compte admin a bien les  path c:\windows\system32 ou mieux : %SystemRoot%\system32 en variables d'environnement systeme

		$goacces_crawlers = $_POST['goacces_crawlers'];
		$data_mmdb = $_POST['data_mmdb'];
		$path_goaccess = $_POST['goaccess_dir']; // le path absolu Goaccess unix ou unix via wsl pour windows
		$anonymize_ip = ' --anonymize-ip '; // option par defaut ==> inconvenient la location city de goaccess devient partiellement inexacte;
		$path = $_SERVER['DOCUMENT_ROOT']; // pour definir les path absolus unix 
		$path_report = '/' . $_POST['data_dir'] . '/test_report.html';
		if (!defined('PHP_WINDOWS_VERSION_BUILD')) {
			// linux 
			$del = 'rm ' . $path . $path_report; // delete ancien rapport
			$cmd_run = ""; // execution du binaire sous unix
		}
		else
		{
			// windows : activez wsl et charger une distribution debian avec microsoft store ==> c'est l'option ici
			$path = "/mnt/c/Apache24/htdocs"; // path absolu pour l'environnement linux sous windows
			$del = 'del ' . str_replace('/', '\\', $_SERVER['DOCUMENT_ROOT'] . $path_report); // delete ancien rapport avec path absolu windows (antislash)
			$cmd_run = "wsl sudo "; // execution du binaire goaccess à travers wsl 
			//putenv('PATH=' . $_SERVER['PATH']);
		}
		$log_lines = $_POST['data_dir']. "/test.log"; // le fichier contient toutes les lignes de log à anamyser
		$option_goaccess  = $path . '/'. $log_lines .' --with-mouse --log-format='.$_POST["regex_url"].' --no-progress --geoip-database=' . $path . '/'. $data_mmdb. ' -o  ' . $path . $path_report . ' ' . $goacces_crawlers . ' ' . $anonymize_ip;
		$cmdgoaccess = $path_goaccess . ' ' . $option_goaccess; // attention : il faut que le service apache windows soit connecté sur un compte admin exec($cmd);
		$cmd = $cmd_run . $cmdgoaccess;
		exec($del);
		// exec($cmd, $output, $retval);
		//$cmd = 'c:\windows\system32\wsl.exe --help';
		exec($cmd . " 2>&1", $output, $retval);
		try{
			if (!$retval == "0"){
					throw new Exception('failed Goaccess exec : '. ' code retour de la commande = '. $retval . ' sur la commande '. $cmd. ' ' . implode ("<br />",$output));
				}else{
				}
		}catch(Exception $e){
			$aResult['error'] = $e->getMessage();
			echo json_encode($aResult);
			exit;
		}
		$aResult['result'] = "Goaccess succes de la commande : \n" . $cmd . "\nCliquez ici pour afficher le rapport " . $path_report;
		$aResult['rapport'] = $path_report;
		echo json_encode($aResult);
	}
?>