<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
# Control du token du formulaire
plxToken::validateFormToken($_POST);

if(!empty($_POST)) {
		$plxPlugin->setParam('login_log_name', $_POST['login_log_name'], 'cdata');
		$plxPlugin->setParam('nb_months_log', $_POST['nb_months_log'], 'numeric');
		$plxPlugin->setParam('goaccess_dir', $_POST['goaccess_dir'], 'string');
		$plxPlugin->setParam('goacces_crawlers', $_POST['goacces_crawlers'], 'string');
		$plxPlugin->setParam('data_mmdb', $_POST['data_mmdb'], 'string');
		$plxPlugin->setParam('data_dir', $_POST['data_dir'], 'string');
		$plxPlugin->setParam('log_url', $_POST['log_url'], 'string');
		$plxPlugin->setParam('bot_list', $_POST['bot_list'], 'cdata');
		$plxPlugin->setParam('regex_url', $_POST['regex_url'], 'cdata');
		$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxGoaccess');
	exit;
};
$login_log_name = $plxPlugin->getParam('login_log_name');
$nb_months_log = $plxPlugin->getParam('nb_months_log');
$goaccess_dir = $plxPlugin->getParam('goaccess_dir');
if ($goaccess_dir == "") $goaccess_dir = "/usr/local/bin/goaccess";
$goacces_crawlers = $plxPlugin->getParam('goacces_crawlers');
$data_mmdb = $plxPlugin->getParam('data_mmdb');
if ($data_mmdb == "") $data_mmdb = "plugins/plxGoaccess/mmdb/GeoLite2-Country.mmdb";
$data_dir = $plxPlugin->getParam('data_dir');
if ($data_dir == "") $data_dir = "data/goaccess/datas";
$log_url = $plxPlugin->getParam('log_url');
$regex_url = $plxPlugin->getParam('regex_url');
$bot_list = $plxPlugin->getParam('bot_list');
$array_goacces_crawlers = 
[
['--ignore-crawlers' => '--ignore-crawlers', 
'--crawlers-only' => '--crawlers-only', 
'' => 'All']
];
$array_log_format = 
[
['COMBINED     ' => ' Combined Log Format', 
'VCOMBINED    ' => ' Combined Log Format with Virtual Host', 
'COMMON       ' => ' Common Log Format', 
'VCOMMON      ' => ' Common Log Format with Virtual Host', 
'W3C          ' => ' W3C Extended Log File Format', 
'SQUID        ' => ' Native Squid Log Format', 
'CLOUDFRONT   ' => ' Amazon CloudFront Web Distribution', 
'CLOUDSTORAGE ' => ' Google Cloud Storage', 
'AWSELB       ' => ' Amazon Elastic Load Balancing', 
'AWSS3        ' => ' Amazon Simple Storage Service (S3)', 
'AWSALB       ' => ' Amazon Application Load Balancer', 
'CADDY        ' => ' Caddys JSON Structured format (local/info format)', 
'TRAEFIKCLF   ' => ' Traefiks CLF flavor']
];
$array_goacces_crawlers = [
                ['--ignore-crawlers' => '--ignore-crawlers', '--crawlers-only' => '--crawlers-only', '' => 'All']
            ];
$array_nb_months_log = array();
for ($i=0; $i<24; $i++) {
$array_nb_months_log[] = $i;
}; 
?>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<form id="form_config_plugin" action="parametres_plugin.php?p=plxGoaccess" method="post">
	<fieldset>
		<p class="field">
			<label for="id_login_log_name"><br /><?php $plxPlugin->lang('L_login_log_name') ?> :</label>
			<?php plxUtils::printInput('login_log_name',$login_log_name,'text','40-60') ?><span id="ext_login_log_name"></span>
			<label for="id_nb_months_log"><br /><?php $plxPlugin->lang('L_nb_months_log') ?> :
			<?php plxUtils::printSelect('nb_months_log',$array_nb_months_log, $nb_months_log) ?><span id="ext_nb_months_log"></span></label>
			<label for="id_data_dir"><br /><?php $plxPlugin->lang('L_goaccess_dir') ?> :</label>
			<?php plxUtils::printInput('goaccess_dir',$goaccess_dir,'text','40-60') ?><span id="ext_goaccess_dir"></span>
			<label for="id_data_mmdb"><br /><?php $plxPlugin->lang('L_data_mmdb') ?> :</label>
			<?php plxUtils::printInput('data_mmdb',$data_mmdb,'text','50-80') ?><span id="ext_data_mmdb"></span>
			<label for="id_data_dir"><br /><?php $plxPlugin->lang('L_data_dir') ?> :</label>
			<?php plxUtils::printInput('data_dir',$data_dir,'text','40-60') ?><span id="ext_data_dir"></span>
			<label for="id_log_url"><br /><?php $plxPlugin->lang('L_log_url') ?> :</label>
			<?php plxUtils::printInput('log_url',$log_url,'text','150-512') ?><span id="ext_log_url"></span>
			<label for="id_regex_url"><br /><?php $plxPlugin->lang('L_regex_url') ?> :</label>
			<?php plxUtils::printSelect('regex_url',$array_log_format, $regex_url) ?><span id="ext_regex_url"></span>
			<label for="id_log_line_test"><br /><?php $plxPlugin->lang('L_log_line_test') ?> :</label>
			<?php plxUtils::printArea('log_line_test',"",150, 2,false,' ') ?><span id="ext_log_line_test"></span>
			<label for="id_result_log_line_test"><br /><?php $plxPlugin->lang('L_result_log_line_test') ?> :</label>
			<?php plxUtils::printArea('result_log_line_test',"",150, 5,true,"", "style='color:red'") ?><span id="ext_result_log_line_test"></span>
			<label for="id_goacces_crawlers"><br /><?php $plxPlugin->lang('L_goacces_crawlers') ?> :</label>
			<?php plxUtils::printSelect('goacces_crawlers',$array_goacces_crawlers, $goacces_crawlers) ?><span id="ext_goacces_crawlers"></span>
		</p>

		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input onkeyup="upd_spans(this.value)" type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
		</p>
	</fieldset>
</form>
<script>
window.onload = (event) => {
	document.getElementById('id_log_line_test').setAttribute('onclick','test_regex_url()')
	document.getElementById('id_log_line_test').style.cursor = "pointer";

};
function upd_spans(value) {
	document.getElementById('ext_goacces_crawlers').innerHTML = value;
	document.getElementById('ext_goaccess_dir').innerHTML = value;
	document.getElementById('ext_data_mmdb').innerHTML = value;
	document.getElementById('ext_data_dir').innerHTML = value;
	document.getElementById('ext_log_url').innerHTML = value;
	document.getElementById('ext_regex_url').innerHTML = value;
	document.getElementById('ext_login_log_name').innerHTML = value;
	document.getElementById('ext_nb_months_log').innerHTML = value;
	document.getElementById('ext_bot_list').innerHTML = value;

}
function test_regex_url() {
	$regex_url = document.getElementById('id_regex_url').value;
	$log_line_test = document.getElementById('id_log_line_test').value;
	$data_dir = document.getElementById('id_data_dir').value;
	$goacces_crawlers  = document.getElementById('id_goacces_crawlers').value;
	$goaccess_dir  = document.getElementById('id_goaccess_dir').value;
	$data_mmdb  = document.getElementById('id_data_mmdb').value;
	document.getElementById('id_result_log_line_test').value = "";
	jQuery.ajax({
		type: "POST",
		url: '../../plugins/plxGoaccess/php/test_parser.php',
		dataType: 'json',
		data: {
			regex_url: $regex_url, 
			log_line_test: $log_line_test, 
			data_dir: $data_dir,
			goacces_crawlers : $goacces_crawlers,
			goaccess_dir : $goaccess_dir,
			data_mmdb : $data_mmdb
			},

		success: function (obj, textstatus) {
					  if( !('error' in obj) ) {
							document.getElementById('id_result_log_line_test').value = obj.result;
							document.getElementById('id_result_log_line_test').style.color = "green";
							document.getElementById('id_result_log_line_test').setAttribute('onclick','window.open("'+obj.rapport+'")')
							document.getElementById('id_result_log_line_test').style.cursor = "pointer";

					  }
					  else {
							document.getElementById('id_result_log_line_test').style.color = "red";
							document.getElementById('id_result_log_line_test').value = obj.error;
							document.getElementById('id_result_log_line_test').style.cursor = "auto";
					  }
				},
		error: function(jqXHR, exception) { // echec du au serveur lui-même
					var msg = '';
					if (jqXHR.status === 0) {
						msg = 'Not connect.\n Verify Network.';
					} else if (jqXHR.status == 404) {
						msg = 'Requested page not found. [404]';
					} else if (jqXHR.status == 500) {
						msg = 'Internal Server Error [500].';
					} else if (exception === 'timeout') {
						msg = 'Time out error.';
					} else if (exception === 'abort') {
						msg = 'Ajax request aborted.';
					} else {
						msg = jqXHR.responseText;
					}
					document.getElementById('id_result_log_line_test').value = msg;
					document.getElementById('id_result_log_line_test').style.color = "red";
				}
	});
}
</script>