// pilote les calculs associés aux formulaires : ils sont soit dans FormNN_calcul.php (dossier php du plugin) ou dans FormsNNcalcul.js (dossier js du plugin)
// avec NN = numéro du formulaire 
// cette fonction switchJSAndCalcul est appelé dans forms.js sous la forme : switchJSAndCalcul.to({data: Formdata_du_formulaire, formulaire : numéro_du_formulaire
// les données sont ensuite récupérées dans l'objet datas	
// en retour : false pour les formulaires sans mode de calcul en JS (forms.js appelera alors en mode ajax le script FormNN_calcul.php du formulaire
// en retour : l'array rendu par le pour les formulaires avec mode de calcul en JS
// ce script doit etre en phase avec le contenu de forms.php du plugin (case des formulaires)
var switchJSAndCalcul = (function(){
function calcul(datas){
	let data_formulaire = datas.data;
	let num_formulaire = datas.formulaire;
	switch (num_formulaire) // case des formulaires ayant un calcul par script javascript 
	{
			case "10":
				return Forms10calcul.to({
					data: data_formulaire
				});
				break;

			default: // par defaut le calcul se fera par script php 
				return false;
	}
}
	// Revealing the methods that shall be public
return {
		to : calcul
};


})();